<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<!-- <title>Components</title> -->
<img align="right" width="300" src="TrustonicLogo.jpg">
</br>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="$relpath/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="$relpath/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.8.6 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('group___components.html','');});
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">Components<div class="ingroups"><a class="el" href="group__tbase_integration.html">tbaseIntegration</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>TODO: Describe the overall test scenario here.  
<a href="#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga536b79932a3bf98769b7ab3da1339b66"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___components.html#ga536b79932a3bf98769b7ab3da1339b66">TestCase_00001_RetrieveSUID</a> ()</td></tr>
<tr class="separator:ga536b79932a3bf98769b7ab3da1339b66"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga277f1f69b16f5ac76bab1bd0dd1bf280"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___components.html#ga277f1f69b16f5ac76bab1bd0dd1bf280">TestCase_00002_McDrvDaemon</a> ()</td></tr>
<tr class="separator:ga277f1f69b16f5ac76bab1bd0dd1bf280"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga495a7c33612dedb6eb95a82373c176b8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___components.html#ga495a7c33612dedb6eb95a82373c176b8">TestCase_00003_libMcClient</a> ()</td></tr>
<tr class="separator:ga495a7c33612dedb6eb95a82373c176b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga28f2d4d2579df0297d1682ec7cf81695"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___components.html#ga28f2d4d2579df0297d1682ec7cf81695">TestCase_00004_libMcRegistry</a> ()</td></tr>
<tr class="separator:ga28f2d4d2579df0297d1682ec7cf81695"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac899da5be1becc27f0d9fc00a1dabefe"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___components.html#gac899da5be1becc27f0d9fc00a1dabefe">TestCase_00005_libcurl</a> ()</td></tr>
<tr class="separator:gac899da5be1becc27f0d9fc00a1dabefe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaed99224efb0b6cb591655af5cc77140c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___components.html#gaed99224efb0b6cb591655af5cc77140c">TestCase_00006_libcommonpawrapper</a> ()</td></tr>
<tr class="separator:gaed99224efb0b6cb591655af5cc77140c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga30207c0705db6244e6a88b3d0c0deeab"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___components.html#ga30207c0705db6244e6a88b3d0c0deeab">TestCase_00007_CMTA</a> ()</td></tr>
<tr class="separator:ga30207c0705db6244e6a88b3d0c0deeab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad213c9f707064782a12e763ddc5c72d6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___components.html#gad213c9f707064782a12e763ddc5c72d6">TestCase_00008_RootPA</a> ()</td></tr>
<tr class="separator:gad213c9f707064782a12e763ddc5c72d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabd214eba7241774216ff042fd102a1e6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___components.html#gabd214eba7241774216ff042fd102a1e6">TestCase_00009_DataMcRegistryPermissions</a> ()</td></tr>
<tr class="separator:gabd214eba7241774216ff042fd102a1e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafd1d1e014498f52aa8e563ee18f679c4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___components.html#gafd1d1e014498f52aa8e563ee18f679c4">TestCase_00010_SystemMcRegistryPermissions</a> ()</td></tr>
<tr class="separator:gafd1d1e014498f52aa8e563ee18f679c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9b0c705761a7df12212cc19878f650ac"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___components.html#ga9b0c705761a7df12212cc19878f650ac">TestCase_00011_McSocketsPermissions</a> ()</td></tr>
<tr class="separator:ga9b0c705761a7df12212cc19878f650ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae00215efac3d226a1f814704d7ad1af5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___components.html#gae00215efac3d226a1f814704d7ad1af5">TestCase_00012_SecureStorageDriver</a> ()</td></tr>
<tr class="separator:gae00215efac3d226a1f814704d7ad1af5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa70aac65974d579e4cde3e279aabc069"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___components.html#gaa70aac65974d579e4cde3e279aabc069">TestCase_00016_dr_test_mobiload</a> ()</td></tr>
<tr class="separator:gaa70aac65974d579e4cde3e279aabc069"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<p>TODO: Describe the overall test scenario here. </p>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="ga536b79932a3bf98769b7ab3da1339b66"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_00001_RetrieveSUID </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Trusted Applications dependencies:</dt><dd>07010000000000000000000000000000 </dd></dl>
<dl class="section user"><dt>Focus:</dt><dd>Ensure that the SUID can be retrieved. </dd></dl>
<dl class="section user"><dt>Test Steps:</dt><dd>Connect to CMTA and request SUID retrieval. Ensure the returned buffer is of the correct</dd></dl>
<dl class="section user"><dt>Manual Execution:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Trustonic Test Suite Testcase:</dt><dd><a href="group___tts.html">Yes</a></dd></dl>
<dl class="section user"><dt>Final Device Testcase:</dt><dd><a href="group___final___device.html">Yes</a></dd></dl>
<dl class="section user"><dt>Extensive Testcase:</dt><dd><a href="group___extensive.html">Yes</a></dd></dl>
<dl class="section user"><dt>Basic Testcase:</dt><dd><a href="group___basic.html">Yes</a></dd></dl>
<dl class="section user"><dt>Quick Testcase:</dt><dd><a href="group___quick.html">Yes</a></dd></dl>
<dl class="section user"><dt>Test ID:</dt><dd>tbaseIntegration.Components.00001_RetrieveSUID </dd></dl>

</div>
</div>
<a class="anchor" id="ga277f1f69b16f5ac76bab1bd0dd1bf280"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_00002_McDrvDaemon </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Trusted Applications dependencies:</dt><dd>none </dd></dl>
<dl class="section user"><dt>Focus:</dt><dd>mcDrvDaemon </dd></dl>
<dl class="section user"><dt>Test Steps:</dt><dd>Verify that mcDrvDaemon is present, has the good ownership and permissions, is running and has the good build tag.</dd></dl>
<dl class="section user"><dt>Manual Execution:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Trustonic Test Suite Testcase:</dt><dd><a href="group___tts.html">Yes</a></dd></dl>
<dl class="section user"><dt>Final Device Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Extensive Testcase:</dt><dd><a href="group___extensive.html">Yes</a></dd></dl>
<dl class="section user"><dt>Basic Testcase:</dt><dd><a href="group___basic.html">Yes</a></dd></dl>
<dl class="section user"><dt>Quick Testcase:</dt><dd><a href="group___quick.html">Yes</a></dd></dl>
<dl class="section user"><dt>Test ID:</dt><dd>tbaseIntegration.Components.00002_McDrvDaemon </dd></dl>

</div>
</div>
<a class="anchor" id="ga495a7c33612dedb6eb95a82373c176b8"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_00003_libMcClient </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Trusted Applications dependencies:</dt><dd>none </dd></dl>
<dl class="section user"><dt>Focus:</dt><dd>libMcClient </dd></dl>
<dl class="section user"><dt>Test Steps:</dt><dd>Verify that libMcClient is present and has the good build tag</dd></dl>
<dl class="section user"><dt>Manual Execution:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Trustonic Test Suite Testcase:</dt><dd><a href="group___tts.html">Yes</a></dd></dl>
<dl class="section user"><dt>Final Device Testcase:</dt><dd><a href="group___final___device.html">Yes</a></dd></dl>
<dl class="section user"><dt>Extensive Testcase:</dt><dd><a href="group___extensive.html">Yes</a></dd></dl>
<dl class="section user"><dt>Basic Testcase:</dt><dd><a href="group___basic.html">Yes</a></dd></dl>
<dl class="section user"><dt>Quick Testcase:</dt><dd><a href="group___quick.html">Yes</a></dd></dl>
<dl class="section user"><dt>Test ID:</dt><dd>tbaseIntegration.Components.00003_libMcClient </dd></dl>

</div>
</div>
<a class="anchor" id="ga28f2d4d2579df0297d1682ec7cf81695"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_00004_libMcRegistry </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Trusted Applications dependencies:</dt><dd>none </dd></dl>
<dl class="section user"><dt>Focus:</dt><dd>libMcRegistry </dd></dl>
<dl class="section user"><dt>Test Steps:</dt><dd>Verify that libMcRegistry is present and has the good build tag</dd></dl>
<dl class="section user"><dt>Manual Execution:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Trustonic Test Suite Testcase:</dt><dd><a href="group___tts.html">Yes</a></dd></dl>
<dl class="section user"><dt>Final Device Testcase:</dt><dd><a href="group___final___device.html">Yes</a></dd></dl>
<dl class="section user"><dt>Extensive Testcase:</dt><dd><a href="group___extensive.html">Yes</a></dd></dl>
<dl class="section user"><dt>Basic Testcase:</dt><dd><a href="group___basic.html">Yes</a></dd></dl>
<dl class="section user"><dt>Quick Testcase:</dt><dd><a href="group___quick.html">Yes</a></dd></dl>
<dl class="section user"><dt>Test ID:</dt><dd>tbaseIntegration.Components.00004_libMcRegistry </dd></dl>

</div>
</div>
<a class="anchor" id="gac899da5be1becc27f0d9fc00a1dabefe"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_00005_libcurl </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Trusted Applications dependencies:</dt><dd>none </dd></dl>
<dl class="section user"><dt>Focus:</dt><dd>libcurl </dd></dl>
<dl class="section user"><dt>Test Steps:</dt><dd>Verify that libcurl is present</dd></dl>
<dl class="section user"><dt>Manual Execution:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Trustonic Test Suite Testcase:</dt><dd><a href="group___tts.html">Yes</a></dd></dl>
<dl class="section user"><dt>Final Device Testcase:</dt><dd><a href="group___final___device.html">Yes</a></dd></dl>
<dl class="section user"><dt>Extensive Testcase:</dt><dd><a href="group___extensive.html">Yes</a></dd></dl>
<dl class="section user"><dt>Basic Testcase:</dt><dd><a href="group___basic.html">Yes</a></dd></dl>
<dl class="section user"><dt>Quick Testcase:</dt><dd><a href="group___quick.html">Yes</a></dd></dl>
<dl class="section user"><dt>Test ID:</dt><dd>tbaseIntegration.Components.00005_libcurl </dd></dl>

</div>
</div>
<a class="anchor" id="gaed99224efb0b6cb591655af5cc77140c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_00006_libcommonpawrapper </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Trusted Applications dependencies:</dt><dd>none </dd></dl>
<dl class="section user"><dt>Focus:</dt><dd>libcommonpawrapper </dd></dl>
<dl class="section user"><dt>Test Steps:</dt><dd>Verify that libcommonpawrapper is present</dd></dl>
<dl class="section user"><dt>Manual Execution:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Trustonic Test Suite Testcase:</dt><dd><a href="group___tts.html">Yes</a></dd></dl>
<dl class="section user"><dt>Final Device Testcase:</dt><dd><a href="group___final___device.html">Yes</a></dd></dl>
<dl class="section user"><dt>Extensive Testcase:</dt><dd><a href="group___extensive.html">Yes</a></dd></dl>
<dl class="section user"><dt>Basic Testcase:</dt><dd><a href="group___basic.html">Yes</a></dd></dl>
<dl class="section user"><dt>Quick Testcase:</dt><dd><a href="group___quick.html">Yes</a></dd></dl>
<dl class="section user"><dt>Test ID:</dt><dd>tbaseIntegration.Components.00006_libcommonpawrapper </dd></dl>

</div>
</div>
<a class="anchor" id="ga30207c0705db6244e6a88b3d0c0deeab"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_00007_CMTA </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Trusted Applications dependencies:</dt><dd>none </dd></dl>
<dl class="section user"><dt>Focus:</dt><dd>CMTA </dd></dl>
<dl class="section user"><dt>Test Steps:</dt><dd>Verify that CMTA is present</dd></dl>
<dl class="section user"><dt>Manual Execution:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Trustonic Test Suite Testcase:</dt><dd><a href="group___tts.html">Yes</a></dd></dl>
<dl class="section user"><dt>Final Device Testcase:</dt><dd><a href="group___final___device.html">Yes</a></dd></dl>
<dl class="section user"><dt>Extensive Testcase:</dt><dd><a href="group___extensive.html">Yes</a></dd></dl>
<dl class="section user"><dt>Basic Testcase:</dt><dd><a href="group___basic.html">Yes</a></dd></dl>
<dl class="section user"><dt>Quick Testcase:</dt><dd><a href="group___quick.html">Yes</a></dd></dl>
<dl class="section user"><dt>Test ID:</dt><dd>tbaseIntegration.Components.00007_CMTA </dd></dl>

</div>
</div>
<a class="anchor" id="gad213c9f707064782a12e763ddc5c72d6"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_00008_RootPA </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Trusted Applications dependencies:</dt><dd>none </dd></dl>
<dl class="section user"><dt>Focus:</dt><dd>RootPA </dd></dl>
<dl class="section user"><dt>Test Steps:</dt><dd>Verify that RootPA is installed</dd></dl>
<dl class="section user"><dt>Manual Execution:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Trustonic Test Suite Testcase:</dt><dd><a href="group___tts.html">Yes</a></dd></dl>
<dl class="section user"><dt>Final Device Testcase:</dt><dd><a href="group___final___device.html">Yes</a></dd></dl>
<dl class="section user"><dt>Extensive Testcase:</dt><dd><a href="group___extensive.html">Yes</a></dd></dl>
<dl class="section user"><dt>Basic Testcase:</dt><dd><a href="group___basic.html">Yes</a></dd></dl>
<dl class="section user"><dt>Quick Testcase:</dt><dd><a href="group___quick.html">Yes</a></dd></dl>
<dl class="section user"><dt>Test ID:</dt><dd>tbaseIntegration.Components.00008_RootPA </dd></dl>

</div>
</div>
<a class="anchor" id="gabd214eba7241774216ff042fd102a1e6"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_00009_DataMcRegistryPermissions </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Trusted Applications dependencies:</dt><dd>none </dd></dl>
<dl class="section user"><dt>Focus:</dt><dd>read/write registry </dd></dl>
<dl class="section user"><dt>Test Steps:</dt><dd>Verify permissions and ownership of read/write registry</dd></dl>
<dl class="section user"><dt>Manual Execution:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Trustonic Test Suite Testcase:</dt><dd><a href="group___tts.html">Yes</a></dd></dl>
<dl class="section user"><dt>Final Device Testcase:</dt><dd><a href="group___final___device.html">Yes</a></dd></dl>
<dl class="section user"><dt>Extensive Testcase:</dt><dd><a href="group___extensive.html">Yes</a></dd></dl>
<dl class="section user"><dt>Basic Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Quick Testcase:</dt><dd><a href="group___quick.html">Yes</a></dd></dl>
<dl class="section user"><dt>Test ID:</dt><dd>tbaseIntegration.Components.00009_DataMcRegistryPermissions </dd></dl>

</div>
</div>
<a class="anchor" id="gafd1d1e014498f52aa8e563ee18f679c4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_00010_SystemMcRegistryPermissions </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Trusted Applications dependencies:</dt><dd>none </dd></dl>
<dl class="section user"><dt>Focus:</dt><dd>system registry </dd></dl>
<dl class="section user"><dt>Test Steps:</dt><dd>Verify permissions and ownership of system registry</dd></dl>
<dl class="section user"><dt>Manual Execution:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Trustonic Test Suite Testcase:</dt><dd><a href="group___tts.html">Yes</a></dd></dl>
<dl class="section user"><dt>Final Device Testcase:</dt><dd><a href="group___final___device.html">Yes</a></dd></dl>
<dl class="section user"><dt>Extensive Testcase:</dt><dd><a href="group___extensive.html">Yes</a></dd></dl>
<dl class="section user"><dt>Basic Testcase:</dt><dd><a href="group___basic.html">Yes</a></dd></dl>
<dl class="section user"><dt>Quick Testcase:</dt><dd><a href="group___quick.html">Yes</a></dd></dl>
<dl class="section user"><dt>Test ID:</dt><dd>tbaseIntegration.Components.00010_SystemMcRegistryPermissions </dd></dl>

</div>
</div>
<a class="anchor" id="ga9b0c705761a7df12212cc19878f650ac"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_00011_McSocketsPermissions </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Trusted Applications dependencies:</dt><dd>none </dd></dl>
<dl class="section user"><dt>Focus:</dt><dd>/dev/mobicore and /dev/mobicore-user </dd></dl>
<dl class="section user"><dt>Test Steps:</dt><dd>Verify permissions and ownership of /dev/mobicore and /dev/mobicore-user</dd></dl>
<dl class="section user"><dt>Manual Execution:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Trustonic Test Suite Testcase:</dt><dd><a href="group___tts.html">Yes</a></dd></dl>
<dl class="section user"><dt>Final Device Testcase:</dt><dd><a href="group___final___device.html">Yes</a></dd></dl>
<dl class="section user"><dt>Extensive Testcase:</dt><dd><a href="group___extensive.html">Yes</a></dd></dl>
<dl class="section user"><dt>Basic Testcase:</dt><dd><a href="group___basic.html">Yes</a></dd></dl>
<dl class="section user"><dt>Quick Testcase:</dt><dd><a href="group___quick.html">Yes</a></dd></dl>
<dl class="section user"><dt>Test ID:</dt><dd>tbaseIntegration.Components.00011_McSocketsPermissions </dd></dl>

</div>
</div>
<a class="anchor" id="gae00215efac3d226a1f814704d7ad1af5"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_00012_SecureStorageDriver </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Trusted Applications dependencies:</dt><dd>none </dd></dl>
<dl class="section user"><dt>Focus:</dt><dd>Secure Storage Driver </dd></dl>
<dl class="section user"><dt>Test Steps:</dt><dd>Verify that secure is present and has the good build tag (if Kinibi version is inferior to 302A)</dd></dl>
<dl class="section user"><dt>Manual Execution:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Trustonic Test Suite Testcase:</dt><dd><a href="group___tts.html">Yes</a></dd></dl>
<dl class="section user"><dt>Final Device Testcase:</dt><dd><a href="group___final___device.html">Yes</a></dd></dl>
<dl class="section user"><dt>Extensive Testcase:</dt><dd><a href="group___extensive.html">Yes</a></dd></dl>
<dl class="section user"><dt>Basic Testcase:</dt><dd><a href="group___basic.html">Yes</a></dd></dl>
<dl class="section user"><dt>Quick Testcase:</dt><dd><a href="group___quick.html">Yes</a></dd></dl>
<dl class="section user"><dt>Test ID:</dt><dd>tbaseIntegration.Components.00012_SecureStorageDriver </dd></dl>

</div>
</div>
<a class="anchor" id="gaa70aac65974d579e4cde3e279aabc069"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_00016_dr_test_mobiload </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Trusted Applications dependencies:</dt><dd>none </dd></dl>
<dl class="section user"><dt>Focus:</dt><dd>Check if Mobiload can successfully load a driver(DrTestMobiload). Mobiload is a feature added in grub or uboot bootloader, containing a Driver which is loaded before the rich os starts. </dd></dl>
<dl class="section user"><dt>Test Steps:</dt><dd>Open session to TATestDrApi TATestDrApi call drDrApiTestMobiload(), a DrTestMobiload API This API uses the IPC and the session management of DrTestMobiload If no session Id is returned, the TA returns an error and the test fails</dd></dl>
<dl class="section user"><dt>Manual Execution:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Trustonic Test Suite Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Final Device Testcase:</dt><dd><a href="group___final___device.html">Yes</a></dd></dl>
<dl class="section user"><dt>Extensive Testcase:</dt><dd><a href="group___extensive.html">Yes</a></dd></dl>
<dl class="section user"><dt>Basic Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Quick Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Minimum Product Version required for this testcase:</dt><dd>410A</dd></dl>
<dl class="section user"><dt>Test ID:</dt><dd>tbaseIntegration.Components.00016_dr_test_mobiload </dd></dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
        <br><br>
        <hr>
        <small><em>Copyright (c) 2013-2015 TRUSTONIC LIMITED - TRUSTONIC CONFIDENTIAL</em></small>
    </body>
</html>
